Folder drop down in dialog "Add a Keyword for this Search..." does not use special folder icons (Bookmarks Menu, Bookmarks Toolbar, Unfiled Bookmarks)
Created attachment 
Missing icons for special folders

(Windows; U; Windows NT  en-US; rv:1.9pre)   ID:2008051206

The dialog "Add a Keyword for this Search..." does not use the icons for special folders which were produced for Firefox 
